using UnityEngine;
using System.Collections;

public class EntryState : SceneState {

    private void Awake() {
        stateManager = StateManager.Instance;
        stateManager.OnStateChange += HandleOnStateChange;

        //Debug.Log("State on awake: " + stateManager.currentGameState);

        stateManager.SetGameState(Object.FindObjectOfType<MainMenuState>());
    }

    private void Start() {
        //Debug.Log("State on start: " + stateManager.currentGameState);
    }

    private void HandleOnStateChange() {
        //Debug.Log("Set state from entry to: " + stateManager.currentGameState);
    }
}
